Subject: Re: [PATCH emacs-team 1/1] gnu: emacs-next: Update to 31.0.50-0.467aba6.

From: Liliana Marie Prikler <[email-masked]>
Date: Fri, 28 Mar 2025 06:18:35 +0100

Am Donnerstag, dem 27.03.2025 um 18:57 -0300 schrieb Gabriel Santos:
> From: Gabriel Santos <[email-masked]>
> 
> * gnu/packages/emacs.scm (emacs-next-minimal): Update to 31.0.50-
> 0.467aba6.
> (emacs-next-pgtk-xwidgets):
> Deprecate.  This package will be removed, as maintaining an older
> version
> of WebKitGTK just for Emacs would be troublesome.  Adding this
> package
> back will be considered once Emacs updates to a newer version of
> WebKitGTK.
> For a dicussion on this topic, see:
> <https://lists.gnu.org/archive/html/guix-devel/2025-03/msg00137.html>
Please keep this to one package per patch.  As for the deprecation, I
don't think it's a good idea, because the replacement does not
supersede the "deprecated" package.  Either remove it outright – if it
has been broken before – or just keep it as-is, allowing future Guix to
fix it.
> * gnu/packages/patches/emacs-next-disable-jit-compilation.patch: New
> patch.
> * gnu/packages/patches/emacs-disable-jit-compilation.patch: Fix typo.
> * gnu/packages/patches/emacs-next-native-comp-fix-filenames.patch:
> Regenerate.
> 
> Change-Id: I529eb49208c319692c19bb1057a069cb856e1426

Cheers